verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.9*,5.0*,5.1*,5.2*,5.3*

# Update configuration
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" replace=appusage.log.debug-level=appusage.log.debug-level

die off

# Stop service
system net stop openit

die on

# Copy binaries.
if ( osversion < 51 ) system copy "bin\AppUsageW2K.exe" "%installdir%\bin\AppUsage.exe"
if ( osversion >= 51 ) system copy "bin\AppUsage.exe" "%installdir%\bin\"

die off

# Start service again.
system net start openit

# Copy readme.
system mkdir "%installdir%\patches"
system copy "readme.txt" "%installdir%\patches\1064.readme.txt"
